#!/bin/sh
# ffpip von ice32

ffmpid=$(pidof ffmpeg)
osd_res=$(cat /var/tuxbox/config/neutrino.conf | grep -e osd_resolution=1)
x_scale=480
x_offset=1425

if [ -n "$ffmpid" ]; then
    kill -TERM "$ffmpid"
else
    if [ -z "$osd_res" ]; then
	    x_scale=320
	    x_offset=945
    fi
    ffmpeg -nostdin -loglevel panic -i http://127.0.0.1:31339 -map 0:0 \
     -vf scale="$x_scale":-1:sws_flags="fast_bilinear" -b:v 7000k \
     -r 25 -an -pix_fmt bgra -yoffset 15 -xoffset "$x_offset" -f fbdev /dev/fb/0 \
     &
fi

exit 0
